import { ICellEditorComp, ICellEditorParams } from "@ag-grid-community/core";
import { Record } from "@sankhyalabs/core";
import { IEditorMetadata } from "./IEditorMetadata";
export default class EzCellEditor implements ICellEditorComp {
  private _gui;
  private _fieldMetadata;
  private _rowData;
  init(params: ICellEditorParams): void;
  getGui(): HTMLElement;
  afterGuiAttached(): void;
  focusIn(): void;
  getValue(): any;
  setGuiValue(value: any): void;
  isPopup(): boolean;
  getFieldMetadata(): IEditorMetadata;
  getRecord(): Record;
}
